=== debian/changelog ===
dde-preload (5.1.0.7-1) unstable; urgency=medium

  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Wed, 02 Dec 2020 17:13:40 +0800

dde-preload (5.1.0.0) unstable; urgency=medium

  * Initialize release

 --  <caowei@uniontech.com>  2020-06-30 18:13:00 +0800
