=== debian/control ===
Source: dde-preload
Section: devel
Priority: optional
Maintainer: Deepin Sysdev <sysdev@deepin.com>
Build-Depends: debhelper (>= 8.0.0), 
 pkg-config,
 cmake,
 qtbase5-dev,
 libxcb-ewmh-dev,
 libqt5x11extras5-dev,
 libgsettings-qt-dev,
 libqt5svg5-dev,
 libglib2.0-dev,
 libdtkwidget-dev,
 qtdeclarative5-dev,
 qttools5-dev-tools,
 libpam0g-dev,libsystemd-dev,
 libdframeworkdbus-dev,
 deepin-gettext-tools,
 libxtst-dev,
 libxcursor-dev,
 libxrandr-dev,
 libdtkcore5-bin
Standards-Version: 5.1.0.0
Homepage: http://www.deepin.org/

Package: dde-preload
Architecture: any
Depends:
Provides: 
Recommends: onboard
Conflicts: dde-workspace,
 startdde (<< 2.91.1),
 deepin-notifications,
 dde-session-ui (<< 5.0.0)
Replaces: deepin-notifications
Breaks: dde-workspace, startdde(<< 2.91.1)
Description: deepin desktop-environment - dde-preload module
 Deepin desktop environment 2015 - dde-preload module.
